Lavalite package that provides c_m_s,_email_marketing management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `localhost/c_m_s,_email_marketing`.

    "localhost/c_m_s,_email_marketing": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Localhost\CMS,EmailMarketing\Providers\CMS,EmailMarketingServiceProvider::class,

And also add it to alias

    'CMS,EmailMarketing'  => Localhost\CMS,EmailMarketing\Facades\CMS,EmailMarketing::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Localhost\\CMS,EmailMarketing\\Seeders\\CMS,EmailMarketingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Localhost\CMS,EmailMarketing\Providers\CMS,EmailMarketingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Localhost\CMS,EmailMarketing\Providers\CMS,EmailMarketingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Localhost\CMS,EmailMarketing\Providers\CMS,EmailMarketingServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/c_m_s,_email_marketing/{modulename}

**User**

    http://path-to-route-folder/user/c_m_s,_email_marketing/{modulename}

**Public**

    http://path-to-route-folder/c_m_s,_email_marketings


### API endpoints

**List**

    http://path-to-route-folder/api/user/c_m_s,_email_marketing/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/c_m_s,_email_marketing/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/c_m_s,_email_marketing/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/c_m_s,_email_marketing/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/c_m_s,_email_marketing/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/c_m_s,_email_marketing/{modulename}/{slug}
    METHOD: GET